Summary:	LADSPA SDK example plugins
Summary(pl.UTF-8):	Przykładowe wtyczki z LADSPA SDK
Name:		ladspa
Version:	1.13
Release:	4
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://www.ladspa.org/download/%{name}_sdk_%{version}.tgz
# Source0-md5:	671be3e1021d0722cadc7fb27054628e
Patch0:		%{name}-mkdirhier.patch
Patch1:		%{name}-gcc4.patch
URL:		http://www.ladspa.org/
BuildRequires:	perl-base
BuildRequires:	libstdc++-devel
Requires:	%{name}-common = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoprovfiles	%{_libdir}/ladspa

%description
There is a large number of synthesis packages in use or development on
the Linux platform at this time. The Linux Audio Developer's Simple
Plugin API (LADSPA) attempts to give programmers the ability to write
simple `plugin' audio processors in C/C++ and link them dynamically
against a range of host applications.

This package contains the example plugins from the LADSPA SDK.

%description -l pl.UTF-8
Istnieje wiele pakietów do syntezy używanych lub rozwijanych na
platformie linuksowej. LADSPA (Linux Audio Developer's Simple Plugin
API - proste API wtyczek dla programistów dźwięku pod Linuksem) to
próba udostępnienia programistom możliwości pisania prostych "wtyczek"
procesorów dźwięku w C/C++ i ich dynamicznej konsolidacji z wieloma
aplikacjami.

Ten pakiet zawiera przykładowe wtyczki z LADSPA SDK.

%package common
Summary:	Common environment for LADSPA plugins
Summary(pl.UTF-8):	Środowisko wspólne dla wtyczek LADSPA
Group:		Libraries

%description common
Common environment for LADSPA plugins. Currently it contains only
appropriate directory trees.

%description common -l pl.UTF-8
Środowisko wspólne dla wtyczek LADSPA. Aktualnie zawiera tylko
odpowiednie drzewa katalogów.

%package devel
Summary:	Linux Audio Developer's Simple Plugin API
Summary(pl.UTF-8):	Pakiet programistyczny LADSPA (Linux Audio Developer's Simple Plugin API)
Group:		Development/Libraries
# doesn't require base or common

%description devel
There is a large number of synthesis packages in use or development on
the Linux platform at this time. The Linux Audio Developer's Simple
Plugin API (LADSPA) attempts to give programmers the ability to write
simple `plugin' audio processors in C/C++ and link them dynamically
against a range of host applications.

Definitive technical documentation on LADSPA plugins for both the host
and plugin is contained within copious comments within the ladspa.h
header file.

%description devel -l pl.UTF-8
Istnieje wiele pakietów do syntezy używanych lub rozwijanych na
platformie linuksowej. LADSPA (Linux Audio Developer's Simple Plugin
API - proste API wtyczek dla programistów dźwięku pod Linuksem) to
próba udostępnienia programistom możliwości pisania prostych "wtyczek"
procesorów dźwięku w C/C++ i ich dynamicznej konsolidacji z wieloma
aplikacjami.

Techniczna dokumentacja do wtyczek LADSPA dotycząca zarówno samych
wtyczek jak i korzystania z nich w programach znajduje się w
komentarzach pliku nagłówkowego ladspa.h.

%prep
%setup -q -n %{name}_sdk
%patch0 -p1
%patch1 -p1
cd doc
#fix links to the header file in the docs
perl -pi -e "s!HREF=\"ladspa.h.txt\"!href=\"file:///usr/include/ladspa.h\"!" *.html

%build
%{__make} -C src targets \
	CC="%{__cc}" CPP="%{__cxx}" \
	CFLAGS="-I. -Wall -Werror %{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/ladspa/rdf

%{__make} -C src install \
	MKDIRHIER="/usr/bin/install -d" \
	INSTALL_PLUGINS_DIR=$RPM_BUILD_ROOT%{_libdir}/ladspa \
	INSTALL_INCLUDE_DIR=$RPM_BUILD_ROOT%{_includedir} \
	INSTALL_BINARY_DIR=$RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/ladspa/*.so

%files common
%defattr(644,root,root,755)
%dir %{_libdir}/ladspa
%dir %{_datadir}/ladspa
%dir %{_datadir}/ladspa/rdf

%files devel
%defattr(644,root,root,755)
%doc doc/*.html
%{_includedir}/ladspa.h
%changelog
* Wed Oct 12 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ladspa.git;a=log;h=master

* Wed Oct 12 2016 Jacek Konieczny <jajcus@jajcus.net> 024d90c
- drop plugin soname provides

* Mon Sep 21 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 1851d62
- release 3 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 4947a50
- x32 rebuild
- release 2 (by relup.sh)

* Fri Sep 04 2009 tommat <tommat@pld-linux.org> a4056f0
- make it buildable

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 9f99cfb
- updated to 1.13
- updated mkdirhier patch

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> d0bc9d6
- updated for 1.13

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 40e04b2
- rel 5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d17a34b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> daeb293
- converted to UTF-8

* Fri Nov 25 2005 Paweł Sikora <pluto@pld-linux.org> 137d3c8
- gcc4 fix, release 4 for Th.

* Fri Nov 25 2005 Paweł Sikora <pluto@pld-linux.org> 749dc4a
- build fix.

* Sun Oct 10 2004 Paweł Sikora <pluto@pld-linux.org> e17b422
- BR(s/perl/perl-base/) fixed.

* Sat Sep 25 2004 radek <radek@pld-linux.org> 1349f10
- cosmetics (spaces -> tabs)

* Sat Dec 13 2003 tiwek <tiwek@pld-linux.org> fb4d21b
- added missing BR

* Sat Oct 25 2003 ankry <ankry@pld-linux.org> 532225a
- pl: linkowanie -> konsolidacja, shell -> powłoka

* Mon Jul 14 2003 Jakub Bogusz <qboosh@pld-linux.org> 25c0708
- added common package - environment for all LADSPA plugins; release 3

* Sun May 25 2003 Michal Moskal <michal@moskal.me> 4fce330
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> d9653a4
- massive attack s/pld.org.pl/pld-linux.org/

* Sun Apr 27 2003 Jakub Bogusz <qboosh@pld-linux.org> d775fa2
- -devel doesn't R: base

* Wed Feb 05 2003 Artur Frysiak <artur@frysiak.net> 9499949
- use mkinstalldirs (from rpm-build) not mkdirhier (from XFree86)
- release 2

